Skip to navigation

Get Usage By App

Gets the aggregated usage information for an app matching the name provided as a path parameter during a time period. The results will either have a singular item, or be an empty array.

Authentication

Authorizationstring

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'
OR
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Path parameters

namestringRequired
The name of the app from which to get the aggregated usage data.

Query parameters

fromstringRequired

Start time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the starting day; the exact time will not be used.

tostringRequired

End time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the ending day; the exact time will not be used.

retentionstringOptional

Limit report to apps that contribute to a variable retention pool. Value must be a string indicating the retention pool duration, e.g. 7d for a seven day retention pool.

Response

OK
fromstringOptional

The calculated starting time (exclusive) used internally.

tostringOptional

The calculated ending time (exclusive) used internally.

resultslist of objectsOptional

Errors

400
Bad Request Error